-- 有修改，请不要使用............
create database bookmanage
use bookmanage
create table book_info  --创建图51书a信s息p表x
(
  book_ID bigint identity(1,1) primary key,      --图书ID
  typeID int foreign key references book_type(typeID),--类别ID
  book_name varchar(20) not null,   --图书名
  book_introduce ntext,           --图书简介
  oldprice float not null,       --原价
  nowprice float not null,        --现价
  book_image varchar(50),         --图书封面
  isNew     varchar(4) not null,   --是否新书
  inTime    datetime not null,     --上架时间
  book_number int  not null        --库存
)
create table book_type    --图书类别信息表
(
typeID  int identity(1,1) primary key,  --类别ID
typeName varchar(20) not null   --类别名称
)

create table user_info     --会员信息表
(
 userID int identity(1,1) primary key,     --会员ID
 userName varchar(20) not null unique,   --用户名
 trueName varchar(8)  not null,          --真实姓名
 userPwd  varchar(20)  not null,      --密码 
 address  varchar(100) not null,      --联系地址（不能为空）
 postcode  varchar(6)  not null,     --邮政编码
 xingMoney  bigint     not null,      -- 欣币数量
 phone    varchar(20)  not null,     -- 电话
 email   varchar(100)  not null,     --  E-mail地址
 Question  varchar(20)  not null,      -- 保密问题
 Answer    varchar(20)  not null       -- 保密答案    
)
--51aspx.com
create table order_info    -- 订单信息主表
(
  orderID  varchar(10)  primary key,    -- 订单编号
  userName  varchar(20) not null,          -- 用户名
  payMode   varchar(20) not null,     -- 支付方式
  carryMode varchar(20) not null,     --运送方式
  orderTime   datetime   not  null,    -- 订货日期
  orderState  varchar(10) not null,    --订单状态
  introduce   ntext                    -- 备注 
)

create table order_book  -- 订单信息分表
(
ID int identity(1,1) primary key,        -- ID号
orderID  varchar(10) foreign key references order_info(orderID) NOT NULL , --订单编号
book_ID  bigint foreign key references book_info(book_ID) NOT NULL,  --图书ID
num   int not null,     --数量   //number是Access的关键字？？？
price     float not null    --价格 
)


create table book_bbs   --图书评论表
(
  ID  int identity(1,1)  primary key,  --评论ID
  userName   varchar(20) not null,  --  评论用户
   bbsTime   datetime     not null,  -- 评论时间
   bbsText   varchar(200)  not null,  -- 评论类容
   book_ID   bigint foreign key references book_info(book_ID) not null   -- 评论对象
)
